import pickle, datetime, cgi, cgitb, sys
cgitb.enable()

print "Content-Type: text/html\n"


# Grab the username
form = cgi.FieldStorage()

if form.has_key("username") and form["username"].value.isalnum():
    username = form["username"].value
else:
    print """\
<html>
<head>
<title>Drawing Night Scheduler</title>
<link rel="stylesheet" type="text/css" href="style.css"/>
</head>
<body>
<h1>Error: Invalid input.</h1>
Enter the timetable via <a href="dnscheduler.py">here</a>.
</body>
</html>
"""
    sys.exit()

if form.has_key("timezone"):
    timezone = form["timezone"].value
else:
    timezone = "0"

# Load the preexisting data.
# data = {username:[datetimestr, ...], ...}
try:
    data = pickle.load(open("data"))
except:
    data = {}

# Store data into file.
data[username] = [i for i in form.keys() if len(i)==13 and i.count("/")==3]
pickle.dump(data, open("data", 'w'))

print """\
<html>

<head>
<title>Drawing Night Scheduler</title>
<link rel="stylesheet" type="text/css" href="style.css"/>
<meta http-equiv="Refresh" content="1; url=timetable.py?username=%s&timezone=%s">
</head>

<body>
<h1>Save successful</h1>
</body>
</html>
""" % (username, timezone)
